# DaprProtos.GetStateRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.GetStateRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>
      - - io.dapr.v1.DaprProtos.GetStateRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.GetStateRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.GetStateRequest

    public static final class DaprProtos.GetStateRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>
    implements DaprProtos.GetStateRequestOrBuilder

     GetStateRequest is the message to get key-value states from specific state store.

Protobuf type `dapr.proto.runtime.v1.GetStateRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`DaprProtos.GetStateRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.GetStateRequest` `build()`
`DaprProtos.GetStateRequest` `buildPartial()`
`DaprProtos.GetStateRequest.Builder` `clear()`
`DaprProtos.GetStateRequest.Builder` `clearConsistency()` The read consistency of the state store.
`DaprProtos.GetStateRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.GetStateRequest.Builder` `clearKey()` The key of the desired state
`DaprProtos.GetStateRequest.Builder` `clearMetadata()`
`DaprProtos.GetStateRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.GetStateRequest.Builder` `clearStoreName()` The name of state store.
`DaprProtos.GetStateRequest.Builder` `clone()`
`boolean` `containsMetadata​(String key)` The metadata which will be sent to state store components.
`CommonProtos.StateOptions.StateConsistency` `getConsistency()` The read consistency of the state store.
`int` `getConsistencyValue()` The read consistency of the state store.
`DaprProtos.GetStateRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getKey()` The key of the desired state
`com.google.protobuf.ByteString` `getKeyBytes()` The key of the desired state
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The metadata which will be sent to state store components.
`Map<String,​String>` `getMetadataMap()` The metadata which will be sent to state store components.
`String` `getMetadataOrDefault​(String key, String defaultValue)` The metadata which will be sent to state store components.
`String` `getMetadataOrThrow​(String key)` The metadata which will be sent to state store components.
`Map<String,​String>` `getMutableMetadata()` Deprecated.
`String` `getStoreName()` The name of state store.
`com.google.protobuf.ByteString` `getStoreNameBytes()` The name of state store.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`DaprProtos.GetStateRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.GetStateRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.GetStateRequest.Builder` `mergeFrom​(DaprProtos.GetStateRequest other)`
`DaprProtos.GetStateRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.GetStateRequest.Builder` `putAllMetadata​(Map<String,​String> values)` The metadata which will be sent to state store components.
`DaprProtos.GetStateRequest.Builder` `putMetadata​(String key, String value)` The metadata which will be sent to state store components.
`DaprProtos.GetStateRequest.Builder` `removeMetadata​(String key)` The metadata which will be sent to state store components.
`DaprProtos.GetStateRequest.Builder` `setConsistency​(CommonProtos.StateOptions.StateConsistency value)` The read consistency of the state store.
`DaprProtos.GetStateRequest.Builder` `setConsistencyValue​(int value)` The read consistency of the state store.
`DaprProtos.GetStateRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.GetStateRequest.Builder` `setKey​(String value)` The key of the desired state
`DaprProtos.GetStateRequest.Builder` `setKeyBytes​(com.google.protobuf.ByteString value)` The key of the desired state
`DaprProtos.GetStateRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.GetStateRequest.Builder` `setStoreName​(String value)` The name of state store.
`DaprProtos.GetStateRequest.Builder` `setStoreNameBytes​(com.google.protobuf.ByteString value)` The name of state store.
`DaprProtos.GetStateRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### clear

    public DaprProtos.GetStateRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.GetStateRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.GetStateRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.GetStateRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.GetStateRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### setField

    public DaprProtos.GetStateRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### clearField

    public DaprProtos.GetStateRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### clearOneof

    public DaprProtos.GetStateRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### setRepeatedField

    public DaprProtos.GetStateRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               int index,
                                                               Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### addRepeatedField

    public DaprProtos.GetStateRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### mergeFrom

    public DaprProtos.GetStateRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetStateRequest.Builder>`

#### mergeFrom

    public DaprProtos.GetStateRequest.Builder mergeFrom​(DaprProtos.GetStateRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### mergeFrom

    public DaprProtos.GetStateRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetStateRequest.Builder>`
Throws:
  `IOException`

#### getStoreName

    public String getStoreName()

     The name of state store.

`string store_name = 1;`

Specified by:
  `getStoreName` in interface `DaprProtos.GetStateRequestOrBuilder`
Returns:
  The storeName.

#### getStoreNameBytes

    public com.google.protobuf.ByteString getStoreNameBytes()

     The name of state store.

`string store_name = 1;`

Specified by:
  `getStoreNameBytes` in interface `DaprProtos.GetStateRequestOrBuilder`
Returns:
  The bytes for storeName.

#### setStoreName

    public DaprProtos.GetStateRequest.Builder setStoreName​(String value)

     The name of state store.

`string store_name = 1;`

Parameters:
  `value` - The storeName to set.
Returns:
  This builder for chaining.

#### clearStoreName

    public DaprProtos.GetStateRequest.Builder clearStoreName()

     The name of state store.

`string store_name = 1;`

Returns:
  This builder for chaining.

#### setStoreNameBytes

    public DaprProtos.GetStateRequest.Builder setStoreNameBytes​(com.google.protobuf.ByteString value)

     The name of state store.

`string store_name = 1;`

Parameters:
  `value` - The bytes for storeName to set.
Returns:
  This builder for chaining.

#### getKey

    public String getKey()

     The key of the desired state

`string key = 2;`

Specified by:
  `getKey` in interface `DaprProtos.GetStateRequestOrBuilder`
Returns:
  The key.

#### getKeyBytes

    public com.google.protobuf.ByteString getKeyBytes()

     The key of the desired state

`string key = 2;`

Specified by:
  `getKeyBytes` in interface `DaprProtos.GetStateRequestOrBuilder`
Returns:
  The bytes for key.

#### setKey

    public DaprProtos.GetStateRequest.Builder setKey​(String value)

     The key of the desired state

`string key = 2;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

#### clearKey

    public DaprProtos.GetStateRequest.Builder clearKey()

     The key of the desired state

`string key = 2;`

Returns:
  This builder for chaining.

#### setKeyBytes

    public DaprProtos.GetStateRequest.Builder setKeyBytes​(com.google.protobuf.ByteString value)

     The key of the desired state

`string key = 2;`

Parameters:
  `value` - The bytes for key to set.
Returns:
  This builder for chaining.

#### getConsistencyValue

    public int getConsistencyValue()

     The read consistency of the state store.

`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 3;`

Specified by:
  `getConsistencyValue` in interface `DaprProtos.GetStateRequestOrBuilder`
Returns:
  The enum numeric value on the wire for consistency.

#### setConsistencyValue

    public DaprProtos.GetStateRequest.Builder setConsistencyValue​(int value)

     The read consistency of the state store.

`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 3;`

Parameters:
  `value` - The enum numeric value on the wire for consistency to set.
Returns:
  This builder for chaining.

#### getConsistency

    public CommonProtos.StateOptions.StateConsistency getConsistency()

     The read consistency of the state store.

`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 3;`

Specified by:
  `getConsistency` in interface `DaprProtos.GetStateRequestOrBuilder`
Returns:
  The consistency.

#### setConsistency

    public DaprProtos.GetStateRequest.Builder setConsistency​(CommonProtos.StateOptions.StateConsistency value)

     The read consistency of the state store.

`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 3;`

Parameters:
  `value` - The consistency to set.
Returns:
  This builder for chaining.

#### clearConsistency

    public DaprProtos.GetStateRequest.Builder clearConsistency()

     The read consistency of the state store.

`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 3;`

Returns:
  This builder for chaining.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprProtos.GetStateRequestOrBuilder`

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.GetStateRequestOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

Specified by:
  `containsMetadata` in interface `DaprProtos.GetStateRequestOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.GetStateRequestOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.GetStateRequestOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.GetStateRequestOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.GetStateRequestOrBuilder`

#### clearMetadata

    public DaprProtos.GetStateRequest.Builder clearMetadata()

#### removeMetadata

    public DaprProtos.GetStateRequest.Builder removeMetadata​(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

#### getMutableMetadata

    @Deprecated
    public Map<String,​String> getMutableMetadata()

Deprecated.
Use alternate mutation accessors instead.

#### putMetadata

    public DaprProtos.GetStateRequest.Builder putMetadata​(String key,
                                                          String value)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

#### putAllMetadata

    public DaprProtos.GetStateRequest.Builder putAllMetadata​(Map<String,​String> values)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

#### setUnknownFields

    public final DaprProtos.GetStateRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.GetStateRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateRequest.Builder>`